petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscViewerHDF5Load

Read a raw array from the HDF5 dataset.

### Synopsis

    #include "petsclayoutdf5.h"
    #include "petscis.h"
    PetscErrorCode PetscViewerHDF5Load(PetscViewer viewer, const char *name, PetscLayout map, hid_t datatype, void **newarr)

### Input Parameters

| viewer | - The HDF5 viewer
| name | - The dataset name
| map | - The layout which specifies array partitioning
| datatype | - The HDF5 datatype of the items in the dataset

### Output Parameter

| map | - The set up layout (with global size and blocksize according to dataset)
| newarr | - The partitioned array, a memory image of the given dataset

### Notes

This is intended mainly for internal use; users should use higher level routines such as ISLoad(), VecLoad(), DMLoad(). The array is partitioned according to the given PetscLayout which is converted to an HDF5 hyperslab. This name is relative to the current group returned by PetscViewerHDF5OpenGroup().

### Fortran Notes

This routine is not available in Fortran.

### See Also

PetscViewerHDF5Open(), PetscViewerHDF5PushGroup(), PetscViewerHDF5OpenGroup(), PetscViewerHDF5ReadSizes(), VecLoad(), ISLoad()

### Level

developer

### Location

src/vec/is/utils/hdf5io.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages